Package: org.grails.web.sitemesh

## [Java] Class GrailsRoutablePrintWriter

- org.grails.web.sitemesh.GrailsRoutablePrintWriter

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static interface` | `GrailsRoutablePrintWriter.DestinationFactory` | Factory to lazily instantiate the destination.

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class GrailsPrintWriterAdapter` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsRoutablePrintWriter (GrailsRoutablePrintWriter.DestinationFactory factory)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `activateDestination()`
    `` | `java.io.PrintWriter` | `append(char c)`
    `` | `java.io.PrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
    `` | `java.io.PrintWriter` | `append(java.lang.CharSequence csq)`
    `` | `void` | `blockFlushAndClose()`
    `` | `boolean` | `checkError()`
    `` | `void` | `close()`
    `` | `void` | `flush()`
    `` | `boolean` | `isAllowUnwrappingOut()`
    `` | `boolean` | `isBlockClose()`
    `` | `boolean` | `isBlockFlush()`
    `` | `boolean` | `isDestinationActivated()`
    `` | `GrailsPrintWriter` | `leftShift(java.lang.Object value)`
    `` | `GrailsPrintWriter` | `leftShift(StreamCharBuffer otherBuffer)`
    `` | `GrailsPrintWriter` | `leftShift(groovy.lang.Writable writable)`
    `` | `static GrailsRoutablePrintWriter` | `newInstance(GrailsRoutablePrintWriter.DestinationFactory factory)`
    `` | `void` | `print(java.lang.Object obj)`
    `` | `void` | `print(java.lang.String s)`
    `` | `void` | `print(char[] s)`
    `` | `void` | `print(double d)`
    `` | `void` | `print(float f)`
    `` | `void` | `print(long l)`
    `` | `void` | `print(int i)`
    `` | `void` | `print(char c)`
    `` | `void` | `print(boolean b)`
    `` | `void` | `println(java.lang.Object x)`
    `` | `void` | `println(java.lang.String x)`
    `` | `void` | `println(char[] x)`
    `` | `void` | `println(double x)`
    `` | `void` | `println(float x)`
    `` | `void` | `println(long x)`
    `` | `void` | `println(int x)`
    `` | `void` | `println(char x)`
    `` | `void` | `println(boolean x)`
    `` | `void` | `println()`
    `` | `void` | `setBlockClose(boolean blockClose)`
    `` | `void` | `setBlockFlush(boolean blockFlush)`
    `` | `void` | `setDestinationActivated(boolean destinationActivated)`
    `` | `void` | `unBlockFlushAndClose()`
    `` | `java.io.Writer` | `unwrap()`
    `` | `void` | `updateDestination(GrailsRoutablePrintWriter.DestinationFactory f)`
    `` | `void` | `write(java.lang.String s)`
    `` | `void` | `write(java.lang.String s, int off, int len)`
    `` | `void` | `write(char[] buf)`
    `` | `void` | `write(char[] buf, int off, int len)`
    `` | `void` | `write(int c)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GrailsPrintWriterAdapter` | `append, append, append, append, append, checkError, close, flush, getOut, getTarget, handleIOException, isAllowUnwrappingOut, isTrouble, isUsed, leftShift, leftShift, leftShift, markUsed, newInstance, plus, print, print, print, print, print, print, print, print, print, print, print, println, println, println, println, println, println, println, println, println, println, println, resetUsed, setError, setTarget, setUsed, unwrap, write, write, write, write, write, write, write`
    `class java.io.PrintWriter` | `java.io.PrintWriter#println(double), java.io.PrintWriter#println([C), java.io.PrintWriter#println(float), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(int), java.io.PrintWriter#println(char), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(), java.io.PrintWriter#println(long), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write([C), java.io.PrintWriter#write(int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(float), java.io.PrintWriter#print(long), java.io.PrintWriter#print(int), java.io.PrintWriter#print(char), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print([C), java.io.PrintWriter#print(double), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()`

- - ### Constructor Detail

    - #### public GrailsRoutablePrintWriter(GrailsRoutablePrintWriter.DestinationFactory factory)

  - ### Method Detail

    - #### protected void activateDestination()

    - #### @java.lang.Override public java.io.PrintWriter append(char c)

    - #### @java.lang.Override public java.io.PrintWriter append(java.lang.CharSequence csq, int start, int end)

    - #### @java.lang.Override public java.io.PrintWriter append(java.lang.CharSequence csq)

    - #### public void blockFlushAndClose()

    - #### @java.lang.Override public boolean checkError()

    - #### @java.lang.Override public void close()

    - #### @java.lang.Override public void flush()

    - #### @java.lang.Override public boolean isAllowUnwrappingOut()

    - #### public boolean isBlockClose()

    - #### public boolean isBlockFlush()

    - #### public boolean isDestinationActivated()

    - #### @java.lang.Override public GrailsPrintWriter leftShift(java.lang.Object value)

    - #### @java.lang.Override public GrailsPrintWriter leftShift(StreamCharBuffer otherBuffer)

    - #### @java.lang.Override public GrailsPrintWriter leftShift(groovy.lang.Writable writable)

    - #### public static GrailsRoutablePrintWriter newInstance(GrailsRoutablePrintWriter.DestinationFactory factory)

    - #### @java.lang.Override public void print(java.lang.Object obj)

    - #### @java.lang.Override public void print(java.lang.String s)

    - #### @java.lang.Override public void print(char[] s)

    - #### @java.lang.Override public void print(double d)

    - #### @java.lang.Override public void print(float f)

    - #### @java.lang.Override public void print(long l)

    - #### @java.lang.Override public void print(int i)

    - #### @java.lang.Override public void print(char c)

    - #### @java.lang.Override public void print(boolean b)

    - #### @java.lang.Override public void println(java.lang.Object x)

    - #### @java.lang.Override public void println(java.lang.String x)

    - #### @java.lang.Override public void println(char[] x)

    - #### @java.lang.Override public void println(double x)

    - #### @java.lang.Override public void println(float x)

    - #### @java.lang.Override public void println(long x)

    - #### @java.lang.Override public void println(int x)

    - #### @java.lang.Override public void println(char x)

    - #### @java.lang.Override public void println(boolean x)

    - #### @java.lang.Override public void println()

    - #### public void setBlockClose(boolean blockClose)

    - #### public void setBlockFlush(boolean blockFlush)

    - #### public void setDestinationActivated(boolean destinationActivated)

    - #### public void unBlockFlushAndClose()

    - #### @java.lang.Override public java.io.Writer unwrap()

    - #### public void updateDestination(GrailsRoutablePrintWriter.DestinationFactory f)

    - #### @java.lang.Override public void write(java.lang.String s)

    - #### @java.lang.Override public void write(java.lang.String s, int off, int len)

    - #### @java.lang.Override public void write(char[] buf)

    - #### @java.lang.Override public void write(char[] buf, int off, int len)

    - #### @java.lang.Override public void write(int c)